%global momorel 3
%global relver %{version}-RC1
%global srcname %{name}-%{version}-RC1-source
%global dirname %{name}-%{version}-RC1

Summary:  An Open Source clone of Chris Sawyer's Transport Tycoon Deluxe
Name:     openttd
Version:  1.0.3
Release:  0.1.%{momorel}m%{?dist}
License:  GPLv2
URL:      http://www.openttd.org/
Group:    Amusements/Games
Source0:  http://binaries.openttd.org/releases/%{relver}/%{srcname}.tar.bz2
NoSource: 0
BuildRequires: allegro >= 4.4.0.1
BuildRequires: freetype-devel
BuildRequires: SDL-devel
BuildRequires: desktop-file-utils
BuildRequires: libicu-devel >= 4.2
BuildRequires: fontconfig-devel
Requires: gtk2
Requires: fontconfig
Requires: libicu
Requires: libpng
Requires: SDL
Requires: zlib
Requires: freetype
Requires: openttd-opengfx
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
OpenTTD is a reimplementation of the Microprose game "Transport Tycoon Deluxe"
with lots of new features and enhancements. To play the game you need to copy 
the following 6 data files from your Transport Tycoon Deluxe CD to the game   
data directory in %{_datadir}/games/%{name}/data:                             

From the Windows version of TTD you need:
sample.cat trg1r.grf trgcr.grf trghr.grf trgir.grf trgtr.grf

Or if you have the DOS version you need:
sample.cat TRG1.GRF TRGC.GRF TRGH.GRF TRGI.GRF TRGT.GRF

OpenTTD is licensed under the GNU General Public License version 2.0. For more
information, see the file 'COPYING' included with every release and source    
download of the game.  

%prep
%setup -q -n %{dirname}

%build
./configure \
	--revision=%{version} \
	--prefix-dir=%{_prefix} \
	--binary-dir=bin \
	--binary-name=%{name} \
	--menu-name=OpenTTD \
	--data-dir=share/games/%{name} \
	--doc-dir=share/doc/%{name}-%{version} \
	--icon-dir=share/pixmaps \
	--icon-theme-dir=share/icons/hicolor \
	--man-dir=share/man/man6 \
	--menu-dir=share/applications \
	--enable-debug=0 \
	--menu-group="Game;" \
	--with-sdl \
	--with-zlib \
	--with-png \
	--with-freetype \
	--with-fontconfig \
	--with-icu \
	--enable-strip

%make

%install
rm -rf --preserve-root %{buildroot}
%makeinstall INSTALL_DIR=%{buildroot}

desktop-file-install \
	--delete-original \
	--vendor="" \
	--remove-key Version \
	--dir="%{buildroot}/%{_datadir}/applications/" \
	"%{buildroot}/%{_datadir}/applications/%{name}.desktop"

%clean
rm -rf --preserve-root %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
	%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
	%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-,root,root)
%dir %{_datadir}/doc/%{name}-%{version}
%dir %{_datadir}/games/%{name}
%{_bindir}/%{name}
%{_datadir}/doc/%{name}-%{version}/*
%{_datadir}/games/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_mandir}/man6/%{name}.6*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.3-0.1.3m)
- full rebuild for mo7 release

* Mon Aug  2 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.3-0.1.2m)
- rebuild against allegro-4.4.0.1

* Sat Jul 31 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.3-0.1.1m)
- [SECURITY] CVE-2010-2534
- update to 1.0.3-RC1

* Mon May 17 2010 Masanobu Sato <satoshiga@momonga-linux.org>
- (1.0.1-3m)
- add BuildRequires version of libicu-devel

* Thu May 13 2010 Masanobu Sato <satoshiga@momonga-linux.org>
- (1.0.1-2m)
- rebuild against icu-4.2.1

* Tue May  4 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.1-1m)
- [SECURITY] CVE-2010-0401 CVE-2010-0402 CVE-2010-0406
- update to 1.0.1

* Sun Feb 21 2010 Hajime Yoshimori <lugia@momonga-linux.org>
- (1.0.0-0.1.1m)
- Version 1.0.0-RC1
- Momonganize from official rpm package
- Remove non ASCII charactor.

* Mon Oct 20 2008 Benedikt Bruggemeier <skidd13@openttd.org>

- Added libicu dependency

* Thu Sep 23 2008 Benedikt Bruggemeier <skidd13@openttd.org>

- Merged both versions of the spec file

* Fri Aug 29 2008 Jonathan Coome <maedhros@openttd.org>

- Rewrite spec file from scratch.

* Sat Aug 02 2008 Benedikt Bruggemeier <skidd13@openttd.org>

- Updated spec file

* Thu Mar 27 2008 Denis Burlaka <burlaka@yandex.ru>

- Universal spec file
